package com.supervision.controller;

import com.supervision.pojo.vo.TalkResultResVO;
import com.supervision.service.AskService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

@Api(tags = "问诊")
@RestController
@RequestMapping("/ask/")
public class AskController {

    @Autowired
    private AskService askService;



    @ApiOperation("接收页面的语音消息(这个接口使用京东数字人接口来做)")
    @PostMapping("/receiveVoiceFile")
    public TalkResultResVO receiveVoiceFile(@RequestParam("file") MultipartFile file,
                                            @ApiParam("流程ID") String processId,
                                            @ApiParam("数字人房间的数字人ID") String roomKey,
                                            @ApiParam("数字人的TOKEN") String roomToken) throws IOException {
        return askService.receiveVoiceFile(file, processId, roomKey, roomToken);
    }

    @ApiOperation("回复语音及文字消息")
    @GetMapping("replyVoice")
    public String replyVoice() {
        return askService.replyVoice();
    }

    @ApiOperation("查询对话历史")
    public void queryAskHistory(String processId) {

    }


}
